Bug Hunting Session
Bug 74740 - UI: Consider rewording "Paste Only Value" to "Paste Only Numbers"
Summary: UI: Consider rewording "Paste Only Value" to "Paste Only Numbers"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: All All
: medium enhancement
Assignee: Mirco Rondini
URL:
Whiteboard: target:5.3.0
Keywords: easyHack, needsDevEval
Depends on:
Blocks:
 
Reported: 2014-02-09 10:06 UTC by dg1727
Modified: 2017-02-14 08:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dg1727 2014-02-09 10:06:12 UTC
In Calc, in Tools > Customize... > Keyboard tab > Category list > Edit, in the Function list, there is an entry "Paste Only Value".

About "Paste Only Value," it has been said [1]:  
> Paste Only Value equates to selecting Numbers in the Paste Special... dialog, 
> which is not very clear to me either. I think a value can be either a string or 
> a number.

This was illustrated in [2], in which the column "Value/Number," rows "UNO function," shows the results of this "Paste Only Value" keybinding.  Numbers are pasted, but strings and dates are not.  

Can rewording "Paste Only Value" to "Paste Only Numbers", for consistency, be considered?  

[1] http://ask.libreoffice.org/en/question/29459/in-calc-what-is-the-paste-only-function-tools-customize/#comment-29471
[2] http://ask.libreoffice.org/upfiles/1391678018378366.png
Comment 1 Joel Madero 2014-07-16 21:09:17 UTC
asking for ux input here, if it's agreed to do this change I'll do it
Comment 2 Robinson Tryon (qubit) 2014-12-22 07:40:31 UTC
UX: For you!

Component -> ux-advise
Status -> NEW
Comment 3 Heiko Tietze 2016-08-05 10:39:26 UTC
Another argument for renaming is that the paste special dialog talks about numbers and not values. So yes, please rename.

EASYHACK, NEEDINFO for the additional infos.
Comment 4 jani 2016-08-06 06:44:12 UTC
Missing keywords: difficulty<foo>, topicUI
Missing codepointers

Please add these, or remove easyHack keyword.
Comment 5 Xisco Faulí 2016-09-27 10:36:11 UTC Comment hidden (obsolete)
Comment 6 Mirco Rondini 2016-10-10 13:40:55 UTC
hi, i'm Mirco, I work in this bug, it is the first easyhack.
Comment 7 jani 2016-10-10 13:50:57 UTC
(In reply to Mirco Rondini from comment #6)
> hi, i'm Mirco, I work in this bug, it is the first easy hack.


Welcome hope you will have fun, please have a look at:
https://wiki.documentfoundation.org/Development/GetInvolved
to help you get started.
Comment 8 Mirco Rondini 2016-10-10 14:49:05 UTC
I have make the change, but I need to change the name of function ".uno:PasteOnlyValue" into ".uno:PasteOnlyNumbers" too? 

<node oor:name=".uno:PasteOnlyValue" oor:op="replace">
  <prop oor:name="Label" oor:type="xs:string">
     <value xml:lang="en-US">Paste Only Numbers</value>

searching ".uno:PasteOnlyValue" into opengrok I have find only other 2 references:

1)  /core/sc/uiconfig/scalc/popupmenu/cell.xml 	
    18 <menu:menuitem menu:id=".uno:PasteOnlyValue"/>
2)  /core/sc/uiconfig/scalc/menubar/menubar.xml 	
    87 <menu:menuitem menu:id=".uno:PasteOnlyValue"/>
Comment 9 jani 2016-10-10 14:54:26 UTC
(In reply to Mirco Rondini from comment #8)
> I have make the change, but I need to change the name of function
> ".uno:PasteOnlyValue" into ".uno:PasteOnlyNumbers" too? 
> 
> <node oor:name=".uno:PasteOnlyValue" oor:op="replace">
>   <prop oor:name="Label" oor:type="xs:string">
>      <value xml:lang="en-US">Paste Only Numbers</value>
> 
> searching ".uno:PasteOnlyValue" into opengrok I have find only other 2
> references:
> 
> 1)  /core/sc/uiconfig/scalc/popupmenu/cell.xml 	
>     18 <menu:menuitem menu:id=".uno:PasteOnlyValue"/>
> 2)  /core/sc/uiconfig/scalc/menubar/menubar.xml 	
>     87 <menu:menuitem menu:id=".uno:PasteOnlyValue"/>

I would not change the uno API, that is something we do not do easily as it might affect a lot of programs.
Comment 10 Commit Notification 2016-10-16 12:45:58 UTC
Mirco Rondini committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d4dd15ee2fa3206988c0facbf47c1a9ab527f30

tdf#74740 <change "Paste Only Value" to "Paste Only Numbers">

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 jani 2016-10-17 06:31:33 UTC
Seems solved